package controle;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import sistema.ArquivoUpload;
import sistema.Upload;


public class FotoController extends HttpServlet {
   
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        String destino = getServletContext().getRealPath("/fotos");
        String mensagem = "Erro ao enviar foto!";
        try {
            
            ArquivoUpload arquivo = new ArquivoUpload(request, "foto");
            System.out.println(arquivo);
            if ( !arquivo.getTipo().contains("image") ) { // Somente imagens são aceitas
                mensagem = "Formato de arquivo inválido!";
            } else {                
                if ( Upload.executar(arquivo, destino) ) {
                    mensagem = "Foto enviada com sucesso!";
                }
            }
       
        }
        catch( Exception e ) {
            System.out.println(e.getMessage());
        }
                
        response.getWriter().print("<script>alert('" + mensagem + "');history.back();</script>");
        
    }

}
